Patch  oval:org.mitre.oval:def:13005
USN-1042-1 -- php5 vulnerabilities  

It was discovered that an integer overflow in the XML UTF-8 decoding code could allow an attacker to bypass cross-site scripting protections. This issue only affected Ubuntu 6.06 LTS, Ubuntu 8.04 LTS, and Ubuntu 9.10. It was discovered that the XML UTF-8 decoding code did not properly handle non-shortest form UTF-8 encoding and ill-formed subsequences in UTF-8 data, which could allow an attacker to bypass cross-site scripting protections. It was discovered that attackers might be able to bypass open_basedir restrictions by passing a specially crafted filename. Maksymilian Arciemowicz discovered that a NULL pointer derefence in the ZIP archive handling code could allow an attacker to cause a denial of service through a specially crafted ZIP archive. This issue only affected Ubuntu 8.04 LTS, Ubuntu 9.10, Ubuntu 10.04 LTS, and Ubuntu 10.10. It was discovered that a stack consumption vulnerability in the filter_var PHP function when in FILTER_VALIDATE_EMAIL mode, could allow a remote attacker to cause a denial of service. This issue only affected Ubuntu 8.04 LTS, Ubuntu 9.10, Ubuntu 10.04 LTS, and Ubuntu 10.10. It was discovered that the mb_strcut function in the Libmbfl library within PHP could allow an attacker to read arbitrary memory within the application process. This issue only affected Ubuntu 10.10. Maksymilian Arciemowicz discovered that an integer overflow in the NumberFormatter::getSymbol function could allow an attacker to cause a denial of service. This issue only affected Ubuntu 10.04 LTS and Ubuntu 10.10. Rick Regan discovered that when handing PHP textual representations of the largest subnormal double-precision floating-point number, the zend_strtod function could go into an infinite loop on 32bit x86 processors, allowing an attacker to cause a denial of service
Create Date: 2011-10-18 Last Update Date: 2011-11-02

Affected Platforms/Products

Platforms: unix (from OVAL definitions) Products: unix
  • Ubuntu 6.06
  • Ubuntu 9.10
  • Ubuntu 10.04
  • Ubuntu 10.10
  • Ubuntu 8.04
  • php5

References

Criteria

The patch should be installed
IF : Any one of the following are true
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 6.06 is installed oval:org.mitre.oval:def:13319
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : php5-mhash DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-mhash DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-mhash package information
php5-mhash
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-dev DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-dev DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-dev package information
php5-dev
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-common DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-common DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-common package information
php5-common
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-sqlite DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-sqlite DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-sqlite package information
php5-sqlite
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-mysql DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-mysql DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-mysql package information
php5-mysql
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-xsl DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-xsl DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-xsl package information
php5-xsl
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-gd DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-gd DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-gd package information
php5-gd
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-pgsql DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-pgsql DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-pgsql package information
php5-pgsql
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-odbc DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-odbc DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-odbc package information
php5-odbc
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-mysqli DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-mysqli DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-mysqli package information
php5-mysqli
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-xmlrpc DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-xmlrpc DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-xmlrpc package information
php5-xmlrpc
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-curl DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-curl DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-curl package information
php5-curl
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-snmp DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-snmp DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-snmp package information
php5-snmp
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-ldap DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-ldap DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-ldap package information
php5-ldap
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-sybase DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-sybase DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-sybase package information
php5-sybase
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-recode DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-recode DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-recode package information
php5-recode
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : libapache2-mod-php5 DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  libapache2-mod-php5 DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libapache2-mod-php5 package information
libapache2-mod-php5
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-cgi DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-cgi DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-cgi package information
php5-cgi
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-cli DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5-cli DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-cli package information
php5-cli
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : All of the following are true Architecture independet section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : php5 DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php5 DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5 package information
php5
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : php-pear DPKG is earlier than 5.1.2-1ubuntu3.20
Linux : Debian DPKG Test :  php-pear DPKG is earlier than 5.1.2-1ubuntu3.20 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php-pear package information
php-pear
RPM Version less than 0:5.1.2-1ubuntu3.20 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 9.10 is installed oval:org.mitre.oval:def:13079
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : php5-dbg DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-dbg DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-dbg package information
php5-dbg
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : libapache2-mod-php5filter DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  libapache2-mod-php5filter DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libapache2-mod-php5filter package information
libapache2-mod-php5filter
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-pspell DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-pspell DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-pspell package information
php5-pspell
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-common DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-common DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-common package information
php5-common
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-ldap DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-ldap DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-ldap package information
php5-ldap
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-cli DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-cli DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-cli package information
php5-cli
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-sybase DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-sybase DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-sybase package information
php5-sybase
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-sqlite DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-sqlite DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-sqlite package information
php5-sqlite
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-pgsql DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-pgsql DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-pgsql package information
php5-pgsql
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-gmp DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-gmp DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-gmp package information
php5-gmp
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-cgi DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-cgi DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-cgi package information
php5-cgi
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-dev DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-dev DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-dev package information
php5-dev
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-mhash DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-mhash DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-mhash package information
php5-mhash
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-tidy DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-tidy DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-tidy package information
php5-tidy
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-gd DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-gd DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-gd package information
php5-gd
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : libapache2-mod-php5 DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  libapache2-mod-php5 DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libapache2-mod-php5 package information
libapache2-mod-php5
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-mysql DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-mysql DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-mysql package information
php5-mysql
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-odbc DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-odbc DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-odbc package information
php5-odbc
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-xsl DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-xsl DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-xsl package information
php5-xsl
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-snmp DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-snmp DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-snmp package information
php5-snmp
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-curl DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-curl DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-curl package information
php5-curl
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-xmlrpc DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-xmlrpc DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-xmlrpc package information
php5-xmlrpc
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-recode DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5-recode DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-recode package information
php5-recode
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is armel
Uname Test :  Installed architecture is armel 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) armel
processor_type is armel unix : uname_state 
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : All of the following are true Architecture independet section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : php5 DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php5 DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5 package information
php5
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php-pear DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6
Linux : Debian DPKG Test :  php-pear DPKG is earlier than 5.2.10.dfsg.1-2ubuntu6.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php-pear package information
php-pear
RPM Version less than 0:5.2.10.dfsg.1-2ubuntu6.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 10.04 is installed oval:org.mitre.oval:def:13089
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : php5-dbg DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-dbg DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-dbg package information
php5-dbg
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-pspell DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-pspell DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-pspell package information
php5-pspell
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-common DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-common DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-common package information
php5-common
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : libapache2-mod-php5filter DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  libapache2-mod-php5filter DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libapache2-mod-php5filter package information
libapache2-mod-php5filter
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-ldap DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-ldap DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-ldap package information
php5-ldap
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-sybase DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-sybase DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-sybase package information
php5-sybase
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-cli DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-cli DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-cli package information
php5-cli
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-sqlite DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-sqlite DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-sqlite package information
php5-sqlite
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-xmlrpc DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-xmlrpc DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-xmlrpc package information
php5-xmlrpc
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-enchant DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-enchant DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-enchant package information
php5-enchant
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-gmp DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-gmp DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-gmp package information
php5-gmp
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-dev DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-dev DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-dev package information
php5-dev
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-pgsql DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-pgsql DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-pgsql package information
php5-pgsql
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-tidy DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-tidy DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-tidy package information
php5-tidy
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : libapache2-mod-php5 DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  libapache2-mod-php5 DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libapache2-mod-php5 package information
libapache2-mod-php5
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-gd DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-gd DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-gd package information
php5-gd
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-odbc DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-odbc DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-odbc package information
php5-odbc
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-xsl DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-xsl DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-xsl package information
php5-xsl
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-mysql DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-mysql DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-mysql package information
php5-mysql
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-intl DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-intl DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-intl package information
php5-intl
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-snmp DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-snmp DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-snmp package information
php5-snmp
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-recode DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-recode DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-recode package information
php5-recode
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-cgi DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-cgi DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-cgi package information
php5-cgi
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-curl DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5-curl DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-curl package information
php5-curl
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is armel
Uname Test :  Installed architecture is armel 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) armel
processor_type is armel unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : All of the following are true Architecture independet section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : php5 DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php5 DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5 package information
php5
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : php-pear DPKG is earlier than 5.3.2-1ubuntu4.6
Linux : Debian DPKG Test :  php-pear DPKG is earlier than 5.3.2-1ubuntu4.6 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php-pear package information
php-pear
RPM Version less than 0:5.3.2-1ubuntu4.6 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 10.10 is installed oval:org.mitre.oval:def:13134
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : php5-dbg DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-dbg DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-dbg package information
php5-dbg
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-common DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-common DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-common package information
php5-common
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-pspell DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-pspell DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-pspell package information
php5-pspell
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libapache2-mod-php5filter DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  libapache2-mod-php5filter DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libapache2-mod-php5filter package information
libapache2-mod-php5filter
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-sybase DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-sybase DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-sybase package information
php5-sybase
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-cli DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-cli DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-cli package information
php5-cli
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-ldap DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-ldap DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-ldap package information
php5-ldap
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-sqlite DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-sqlite DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-sqlite package information
php5-sqlite
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-cgi DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-cgi DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-cgi package information
php5-cgi
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-fpm DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-fpm DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-fpm package information
php5-fpm
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-gmp DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-gmp DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-gmp package information
php5-gmp
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-curl DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-curl DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-curl package information
php5-curl
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-pgsql DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-pgsql DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-pgsql package information
php5-pgsql
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-odbc DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-odbc DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-odbc package information
php5-odbc
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-dev DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-dev DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-dev package information
php5-dev
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-tidy DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-tidy DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-tidy package information
php5-tidy
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : libapache2-mod-php5 DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  libapache2-mod-php5 DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libapache2-mod-php5 package information
libapache2-mod-php5
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-gd DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-gd DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-gd package information
php5-gd
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-xsl DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-xsl DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-xsl package information
php5-xsl
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-intl DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-intl DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-intl package information
php5-intl
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-snmp DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-snmp DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-snmp package information
php5-snmp
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-mysql DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-mysql DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-mysql package information
php5-mysql
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-enchant DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-enchant DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-enchant package information
php5-enchant
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-xmlrpc DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-xmlrpc DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-xmlrpc package information
php5-xmlrpc
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-recode DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5-recode DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-recode package information
php5-recode
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is armel
Uname Test :  Installed architecture is armel 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) armel
processor_type is armel unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : All of the following are true Architecture independet section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : php-pear DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php-pear DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php-pear package information
php-pear
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5 DPKG is earlier than 5.3.3-1ubuntu9.2
Linux : Debian DPKG Test :  php5 DPKG is earlier than 5.3.3-1ubuntu9.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5 package information
php5
RPM Version less than 0:5.3.3-1ubuntu9.2 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 8.04 is installed oval:org.mitre.oval:def:13250
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : php5-mhash DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-mhash DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-mhash package information
php5-mhash
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : libapache2-mod-php5 DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  libapache2-mod-php5 DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package libapache2-mod-php5 package information
libapache2-mod-php5
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-gmp DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-gmp DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-gmp package information
php5-gmp
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-sqlite DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-sqlite DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-sqlite package information
php5-sqlite
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-gd DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-gd DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-gd package information
php5-gd
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-xmlrpc DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-xmlrpc DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-xmlrpc package information
php5-xmlrpc
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-xsl DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-xsl DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-xsl package information
php5-xsl
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-mysql DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-mysql DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-mysql package information
php5-mysql
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-dev DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-dev DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-dev package information
php5-dev
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-pgsql DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-pgsql DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-pgsql package information
php5-pgsql
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-odbc DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-odbc DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-odbc package information
php5-odbc
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-common DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-common DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-common package information
php5-common
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-ldap DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-ldap DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-ldap package information
php5-ldap
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-snmp DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-snmp DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-snmp package information
php5-snmp
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-curl DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-curl DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-curl package information
php5-curl
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-pspell DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-pspell DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-pspell package information
php5-pspell
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-sybase DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-sybase DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-sybase package information
php5-sybase
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-recode DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-recode DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-recode package information
php5-recode
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-tidy DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-tidy DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-tidy package information
php5-tidy
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-cgi DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-cgi DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-cgi package information
php5-cgi
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php5-cli DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5-cli DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5-cli package information
php5-cli
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is sparc
Uname Test :  Installed architecture is sparc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) sparc
processor_type is sparc unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : All of the following are true Architecture independet section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : php5 DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php5 DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php5 package information
php5
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 
IF : php-pear DPKG is earlier than 5.2.4-2ubuntu5.13
Linux : Debian DPKG Test :  php-pear DPKG is earlier than 5.2.4-2ubuntu5.13 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package php-pear package information
php-pear
RPM Version less than 0:5.2.4-2ubuntu5.13 (datatype=evr_string)
linux : dpkginfo_state 

Quick Help

evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html